post
https://{domainname}/CAServicesV3/blockNumberGroupV2.php
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
With this API, you can create a Block Number group within your Cloud Agent account, allowing you to add multiple numbers.
For authentication, provide your username ( Cloud Agent username ) and password ( API key associated with your account ) in the Authorization section.
Body parameters
Add all the following parameters in the BODY PARAMS section.
| Parameter | Description |
|---|---|
| name | Name for the block number group |
| description | Enter the description for the group |
| blockNumber | Phone number to be added to the group |
| expiryDate | Add the expiry date for the number, this indicates the duration you want the number to remain in the blocked list. Format: YYYY-MM-DD HH:MM:SS |
Rate LimitThis API supports the addition of up to 100 phone numbers in a single request.
Possible responses
| Passing Invalid 'username' in Authorization | {"status": "error","message": "Authentication failed"} |
| Passing Invalid 'password' in Authorization | {"status": "error","message": "Authentication failed"} |
| Passing invalid namekey parameter. | { "status": "error","message": "Parameters are mandatory"} |
| Passing invalid namevalue parameter | {"status": "error","message": "invalid data","errors": {"name": "Name (X) allows 2 to 50 characters only"}} |
| Passing invalid descriptionkey parameter. | { "status": "error","message": "Parameters are mandatory"} |
| Passing invalid descriptionvalue parameter. | {"status": "error","message": "invalid data","errors": {"name": "Name (B) allows 2 to 50 characters only"}} |
| Passing invalid blockNumbers value parameter. | {"status": "error","message": "invalid data","errors": {"blockNumbers": "Blocknumbers data contains invalid format of numbers"}} |
| Successfully group is created with multiple numbers | "{""status"": ""success"",""message"": ""created"",""input"": {""name"": ""XXXX"",""description"": ""XXXX"", ""blockNumbers"": [ ""97XXX04XX3,98XXXXXX98,97XXXXXX97,90XXXXXX50,99XXXXXX66""]}, ""output"": {""affectedRows"": 1, ""lastInsertId"": 20,""succes"": [],""error"": [ ""97XXX04XX3,98XXXXXX98,97XXXXXX97,90XXXXXX50,99XXXXXX66""]}}" |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
